## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name PyMARE

Name:           python-pymare
Version:        0.0.8
Release:        %{autorelease}
Summary:        PyMARE: Python Meta-Analysis & Regression Engine

%global forgeurl https://github.com/neurostuff/PyMARE
%global tag %{version}
%forgemeta

License:        MIT
URL:            %forgeurl
Source:         %forgesource
# Replave deprecated `np.math` alias
Patch:          0001-Replace-deprecated-np.math-with-math.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist Versioneer}
BuildRequires:  %{py3_dist pytest}

%global _description %{expand:
PyMARE: Python Meta-Analysis & Regression Engine

A Python library for mixed-effects meta-regression (including
meta-analysis).}

%description %_description


%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%forgeautosetup -p1

# Unpin setuptools and SciPy
sed -r \
    -e 's/(setuptools)==[0-9.]*/\1/' \
    -e 's/(scipy)<[0-9.]*/\1/' \
    -i pyproject.toml setup.cfg


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l pymare


%check
# Deselect test requiring `pystan` (not packaged yet).
%pytest -r fEs --deselect pymare/tests/test_stan_estimators.py


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%doc examples/


%changelog
## START: Generated by rpmautospec
* Fri Mar 28 2025 Sandro <devel@penguinpee.nl> - 0.0.8-1
- Initial package
## END: Generated by rpmautospec
